Subject: Re: bug#62329: 30.0.50; Error in TRAMP due to variable aliasing

From: Eshel Yaron <[email-masked]>
Date: Tue, 21 Mar 2023 15:23:43 +0200

Michael Albinus <[email-masked]> writes:

> Eshel Yaron <[email-masked]> writes:
>
> Hi Eshel,
>
> Thanks for the report. This is the same problem as reported in
> bug#62295, I'll merge them.
>
> I hope to find a fix, soon.

Great, thanks.  In the meantime my dirty workaround is putting the
following in my init.el:

(with-eval-after-load 'compile
  (require 'tramp-sh))

This causes the defvaralias call to happen before
tramp-use-connection-share is localized, which seems to work alright.
The downside is that tramp-sh is loaded the first time I use M-x compile
even if I'm only working locally.

-- 
Eshel